Bug 220217 - Review Request: perl-Test-Spelling - Check for spelling errors in POD files
Review Request: perl-Test-Spelling - Check for spelling errors in POD files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-19 14:25 EST by Jose Pedro Oliveira
Modified: 2011-03-22 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 07:12:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-19 14:25:54 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Spelling.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Spelling-0.11-1.src.rpm

Description:
"Test::Spelling" lets you check the spelling of a POD file, and report
its results in standard "Test::Simple" fashion. This module requires the
spell program.

Note: helps improving the test coverage of Perl::Critic.
Comment 1 Parag AN(पराग) 2006-12-20 01:55:44 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
1820e1248bf5dfba6139b6812a5f92ae  Test-Spelling-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/load....ok
t/pod.....ok
All tests successful.
Files=2, Tests=2,  0 wallclock secs ( 0.14 cusr +  0.02 csys =  0.16 CPU)
+ Provides: perl(Test::Spelling) = 0.11
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.

Comment 2 Jose Pedro Oliveira 2006-12-22 07:12:21 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.
Comment 3 Paul Howarth 2011-02-28 08:29:52 EST
Package Change Request
======================
Package Name: perl-Test-Spelling
New Branches: el4
Owners: pghmcfc rmyers

rmyers and I are the maintainers of the EPEL-5 and EPEL-6 branches respectively.
Comment 4 Jason Tibbitts 2011-02-28 09:55:08 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-03-06 14:45:49 EST
perl-Test-Spelling-0.11-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-Spelling-0.11-1.el4
Comment 6 Fedora Update System 2011-03-22 12:31:12 EDT
perl-Test-Spelling-0.11-1.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.